package ervu_business_metrics.model.sso;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class SessionStateResponse{
  private String requestKey;
  private int total;
  private int current;
  private UserSessionInfo userSessionInfo;

  public String getRequestKey() {
    return requestKey;
  }

  public void setRequestKey(String requestKey) {
    this.requestKey = requestKey;
  }

  public int getTotal() {
    return total;
  }

  public void setTotal(int total) {
    this.total = total;
  }

  public int getCurrent() {
    return current;
  }

  public void setCurrent(int current) {
    this.current = current;
  }

  public UserSessionInfo getUserSessionInfo() {
    return userSessionInfo;
  }

  public void setUserSessionInfo(UserSessionInfo userSessionInfo) {
    this.userSessionInfo = userSessionInfo;
  }
}
